GIS - Support #13203

Redis server: fix warning relarted to memory allocation
12/11/2021 12:58 - Philippe May

Status: In Progress Start date: 12/11/2021
Priority: Normal Due date:

Assignee: Philippe May % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

See message when Redis starts:

18027:M 12 Nov 2021 12:26:13.622 # WARNING overcommit_memory 1s set to 0! Background save may fail
under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf
and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.

Related issues:
Related to Gisaf - Support #13202: Gisaf is showing error Resolved 12/11/2021

History

#1 - 12/11/2021 12:59 - Philippe May
- Related to Support #13202: Gisaf is showing error added

#2 - 12/11/2021 13:01 - Philippe May

https://redis.io/topics/fag#background-saving-fails-with-a-fork-error-under-linux-even-if-i-have-a-lot-of-free-ram

#3 - 12/11/2021 13:03 - Philippe May
- % Done changed from 0 to 50

- Status changed from New to In Progress

root@gisaf2:~# cat /etc/sysctl.d/overcommit_memory.conf
vm.overcommit_memory = 1
